Bug 68942 - Copy&Paste from Calc to Writer should burn in the source format of numbers
Summary: Copy&Paste from Calc to Writer should burn in the source format of numbers
Status: RESOLVED DUPLICATE of bug 71076
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-04 15:24 UTC by Regina Henschel
Modified: 2014-07-16 06:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
mini document with chart to be copied (12.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-09-04 15:24 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2013-09-04 15:24:14 UTC
Created attachment 85202 [details]
mini document with chart to be copied

Open attached Calc document. The chart has set the number format for the axis to "use source format" which results in a percentage formatting of the y-axis.
Copy the chart and insert it into a Writer document as "Star Object Dectiptor (XML)". This transforms the chart into a chart with internal data table. For this data table exists no number format and therefore "Source Format" for axis makes no sence and the percentage formatting is lost.

Request: When transform the chart to use internal data table, set the original  source format as direct format to the axes.
Comment 1 Kevin Suo 2014-07-13 02:47:08 UTC
Hi Regina Henschel,

This issue seems fixed in the newer versions. I tried with 4.3.0.2, it works as expected, when copy to Writer, percentage format is not lost.

Will you please check with the latest version (4.2.5.2 or 4.3.0.2)?

Thanks.
Comment 2 Regina Henschel 2014-07-13 18:37:52 UTC
It works in Version: 4.4.0.0.alpha0+
Build ID: 3ffb06e76be9be7499f12973139949ddbf6297b9
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-07-10_23:05:03

It fails in Version: 4.2.5.2 Build ID: 6ff819b65674ae6c83f3cbab9e4a4c2b292a7a94

I haven't got a 4.3 version (and will not until 4.2 is end of life).
Comment 3 Kevin Suo 2014-07-16 05:10:22 UTC
Confirmed with 4.2.6.1, windows XP SP3.
It should have already fixed in 4.3, but not commited to 4.2.

Set to NEW.
This is a major bug, not an enhancement.
Comment 4 Kevin Suo 2014-07-16 05:14:02 UTC
The one fixed in 4.3 should be this:
Bug 71767 - Copying and Pasting Chart looses date formatting
Comment 5 Kevin Suo 2014-07-16 06:00:06 UTC
(In reply to comment #4)
> The one fixed in 4.3 should be this:
> Bug 71767 - Copying and Pasting Chart looses date formatting

I see Kohei's commits to 4.2 in bug 71076. I think it's now safe to mark as duplicate.

*** This bug has been marked as a duplicate of bug 71076 ***